#include <bits/stdc++.h>
using namespace std;
int main()
{
    string A,B,C,a,b,c,d,e,f;
    cin >> A >> B >> C;
    a=A+B+C;
    b=A+C+B;
    c=B+A+C;
    d=B+C+A;
    e=C+A+B;
    f=C+B+A;
    string n[]={a,b,c,d,e,f};
    sort(n,n+6);
    cout << n[5];
    return 0;
}